Skip to main content
GET
/
api
/
v1
/
clusters
/
ovh
/
flavors
List OVH flavors available to a credential in a region
import requests

url = "https://platform.ankra.app/api/v1/clusters/ovh/flavors"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "flavors": [
    {
      "name": "<string>",
      "region": "<string>",
      "vcpus": 0,
      "ram_mb": 0,
      "disk_gb": 0,
      "available": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Query Parameters

credential_id
string<uuid>
required
region
string
required

Response

Flavors retrieved successfully

flavors
OvhFlavor · object[]
required